Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillGraphicElement

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillElement
          net.sf.jasperreports.engine.fill.JRFillGraphicElement

All Implemented Interfaces:
  java.lang.Cloneable, JRFillCloneable, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRElement, JRGraphicElement, JRPenContainer, JRPropertiesHolder, JRStyleContainer, JRStyleSetter, JRVisitable

Direct Known Subclasses:
  JRFillEllipse, JRFillImage, JRFillLine, JRFillRectangle

    public abstract class JRFillGraphicElement

extends JRFillElement
implements JRGraphicElement

Version:
  $Id: JRFillGraphicElement.java 3833 2010-05-27 14:16:59Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`band, conditionalStylesContainer, currentEvaluation, currentStyle, defaultStyleProvider, delayedEvaluationsMap, dynamicProperties, elementGroup, expressionEvaluator, filler, initStyle, mergedProperties, originProvider, parent, printWhenGroupChanges, staticProperties, templates`

Fields inherited from interface net.sf.jasperreports.engine.JRGraphicElement
`FILL_SOLID, PEN_1_POINT, PEN_2_POINT, PEN_4_POINT, PEN_DOTTED, PEN_NONE, PEN_THIN`

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Constructor Summary
`protected` | `JRFillGraphicElement(JRBaseFiller filler, JRGraphicElement graphicElement, JRFillObjectFactory factory)`
`protected` | `JRFillGraphicElement(JRFillGraphicElement graphicElement, JRFillCloneFactory factory)`

Method Summary
`java.awt.Color` | `getDefaultLineColor()`
`java.lang.Float` | `getDefaultLineWidth()`
`byte` | `getFill()` Deprecated. Replaced by `getFillValue()`
`FillEnum` | `getFillValue()` Indicates the fill type used for this element.
`JRPen` | `getLinePen()`
`java.lang.Byte` | `getOwnFill()` Deprecated. Replaced by `getOwnFillValue()`
`FillEnum` | `getOwnFillValue()` Indicates the own fill type used for this element.
`java.lang.Byte` | `getOwnPen()` Deprecated. Replaced by `getLinePen()`
`byte` | `getPen()` Deprecated. Replaced by `getLinePen()`
`protected boolean` | `prepare(int availableHeight, boolean isOverflow)`
`void` | `rewind()`
`void` | `setFill(byte fill)` Deprecated. Replaced by `setFill(FillEnum)`
`void` | `setFill(java.lang.Byte fill)` Deprecated. Replaced by `setFill(FillEnum)`
`void` | `setFill(FillEnum fill)` Sets the fill type used for this element.
`void` | `setPen(byte pen)` Deprecated. Replaced by `getLinePen()`
`void` | `setPen(java.lang.Byte pen)` Deprecated. Replaced by `getLinePen()`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`addDependantElement, clone, clone, collectDelayedEvaluations, collectDelayedEvaluations, collectDelayedEvaluations, collectStyleDelayedEvaluations, createElementTemplate, delayedEvaluate, evaluate, evaluateExpression, evaluatePrintWhenExpression, evaluateProperties, fill, getBackcolor, getBand, getDefaultStyleProvider, getDependantElements, getElementGroup, getElementOrigin, getElementTemplate, getEvaluatedProperties, getEvaluationTimeValue, getField, getForecolor, getGroupElements, getHeight, getKey, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getRelativeY, getStretchHeight, getStretchType, getStretchTypeValue, getStyle, getStyleNameReference, getTemplate, getVariable, getWidth, getX, getY, hasProperties, initDelayedEvaluationPrint, initDelayedEvaluations, isAlreadyPrinted, isAutoEvaluateNow, isDelayedStyleEvaluation, isEvaluateAuto, isEvaluateNow, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isPrintWhenExpressionNull, isPrintWhenTrue, isRemoveLineWhenBlank, isReprinted, isToPrint, isValueRepeating, moveDependantElements, performDelayedEvaluation, registerTemplate, reset, resolveElement, resolveElement, setAlreadyPrinted, setBackcolor, setBand, setConditionalStylesContainer, setCurrentEvaluation, setForecolor, setHeight, setMode, setMode, setMode, setOriginProvider, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setPrintWhenExpressionNull, setPrintWhenTrue, setRelativeY, setRemoveLineWhenBlank, setReprinted, setShrinkable, setStretchHeight, setStretchType, setStretchType, setStyle, setStyleNameReference, setToPrint, setValueRepeating, setWidth, setX, setY, stretchElement, stretchHeightFinal, transferProperties, transferProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`collectExpressions, getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.fill.JRFillCloneable
`createClone`

Constructor Detail

### JRFillGraphicElement

    protected JRFillGraphicElement(JRBaseFiller filler,
                                   JRGraphicElement graphicElement,
                                   JRFillObjectFactory factory)

### JRFillGraphicElement

    protected JRFillGraphicElement(JRFillGraphicElement graphicElement,
                                   JRFillCloneFactory factory)

Method Detail

### getLinePen

    public JRPen getLinePen()

  Specified by:
    `getLinePen` in interface `JRCommonGraphicElement`

### getPen

    public byte getPen()

  Deprecated. Replaced by `getLinePen()`

  Description copied from interface: `JRGraphicElement`
  Indicates the pen type used for this element.

  Specified by:
    `getPen` in interface `JRGraphicElement`
  Returns:
    one of the pen constants in this class

### getOwnPen

    public java.lang.Byte getOwnPen()

  Deprecated. Replaced by `getLinePen()`

  Specified by:
    `getOwnPen` in interface `JRGraphicElement`

### setPen

    public void setPen(byte pen)

  Deprecated. Replaced by `getLinePen()`

  Description copied from interface: `JRGraphicElement`
  Sets the pen type that will used for this element.

  Specified by:
    `setPen` in interface `JRGraphicElement`
  Parameters:
    `pen` - one of the pen constants in this class

### setPen

    public void setPen(java.lang.Byte pen)

  Deprecated. Replaced by `getLinePen()`

  Specified by:
    `setPen` in interface `JRGraphicElement`

### getFill

    public byte getFill()

  Deprecated. Replaced by `getFillValue()`

  Specified by:
    `getFill` in interface `JRCommonGraphicElement`

### getOwnFill

    public java.lang.Byte getOwnFill()

  Deprecated. Replaced by `getOwnFillValue()`

  Specified by:
    `getOwnFill` in interface `JRCommonGraphicElement`

### setFill

    public void setFill(byte fill)

  Deprecated. Replaced by `setFill(FillEnum)`

  Specified by:
    `setFill` in interface `JRCommonGraphicElement`

### setFill

    public void setFill(java.lang.Byte fill)

  Deprecated. Replaced by `setFill(FillEnum)`

  Specified by:
    `setFill` in interface `JRCommonGraphicElement`

### getFillValue

    public FillEnum getFillValue()

  Description copied from interface: `JRCommonGraphicElement`
  Indicates the fill type used for this element.

  Specified by:
    `getFillValue` in interface `JRCommonGraphicElement`
  Returns:
    a value representing one of the fill type constants in `FillEnum`

### getOwnFillValue

    public FillEnum getOwnFillValue()

  Description copied from interface: `JRCommonGraphicElement`
  Indicates the own fill type used for this element.

  Specified by:
    `getOwnFillValue` in interface `JRCommonGraphicElement`
  Returns:
    a value representing one of the fill type constants in `FillEnum`

### setFill

    public void setFill(FillEnum fill)

  Description copied from interface: `JRCommonGraphicElement`
  Sets the fill type used for this element.

  Specified by:
    `setFill` in interface `JRCommonGraphicElement`
  Parameters:
    `fill` - a value representing one of the line direction constants in `FillEnum`

### getDefaultLineWidth

    public java.lang.Float getDefaultLineWidth()

  Specified by:
    `getDefaultLineWidth` in interface `JRPenContainer`

### getDefaultLineColor

    public java.awt.Color getDefaultLineColor()

  Specified by:
    `getDefaultLineColor` in interface `JRPenContainer`

### rewind

    public void rewind()

  Specified by:
    `rewind` in class `JRFillElement`

### prepare

    protected boolean prepare(int availableHeight,
                              boolean isOverflow)
                       throws JRException

  Overrides:
    `prepare` in class `JRFillElement`
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com